/*
 * Copyright 2013 Nytyr [me at nytyr dot me]
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.memetro.android.api.oauth;

import android.content.Context;
import android.content.SharedPreferences;

public class Utils {

    private static final String TOKEN = "access_token";
    private static final String REFRESH_TOKEN = "refresh_token";
    public static final String SHARED_NAME = "oauth_shared_prefs";

    public String getToken(Context context) {
        final SharedPreferences prefs = getOAuthPreferences(context);
        return prefs.getString(TOKEN, "");
    }

    public String getRefreshToken(Context context){
        final SharedPreferences prefs = getOAuthPreferences(context);
        return prefs.getString(REFRESH_TOKEN, "");
    }

    public void setToken(Context context, String accessToken, String refreshToken){
        final SharedPreferences prefs = getOAuthPreferences(context);
        SharedPreferences.Editor editor = prefs.edit();
        editor.putString(TOKEN, accessToken);
        editor.putString(REFRESH_TOKEN, refreshToken);
        editor.commit();
    }

    private SharedPreferences getOAuthPreferences(Context context) {
        return context.getSharedPreferences(SHARED_NAME,
                Context.MODE_PRIVATE);
    }
}
